Skip to main content
`Ctrl`+`K`

# PetscFECreateBrokenElement

Create a discontinuous version of the input `PetscFE`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateBrokenElement(PetscFE cgfe, PetscFE *dgfe)

Collective

## Input Parameters

- cgfe - The continuous `PetscFE` object

## Output Parameter

- dgfe - The discontinuous `PetscFE` object

## Note

This only works for Lagrange elements.

## See Also

`PetscFECreate()`, `PetscSpaceCreate()`, `PetscDualSpaceCreate()`, `PetscFECreateLagrange()`, `PetscFECreateLagrangeByCell()`, `PetscDualSpaceLagrangeSetContinuity()`

## Level

advanced

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages